%ifarch x86_64
%define _bit %(getconf LONG_BIT)
%endif

Name:		nocomprendo
Version:	1.2.0
Release:	%mkrel 3
Summary:	Voice command application for X.org
License:	GPLv3+
Group:		Text tools
Url:		http://be.root.free.fr
Source0:	http://be.root.free.fr/soft/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:	libespeak-devel
BuildRequires:	xdotool-devel
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)

%description
Voice command for Linux/X11.
Based on Qt and PocketSphinx.

%prep
%setup -q

%build
%qmake_qt5
%__make

# Important, second qmake. Tools are now ready, update Makefile for tools installation
%qmake_qt5

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/%{name}*.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1842127
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1659133
- Rebuild for new Qt5

* Sun Aug 30 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1619779
- new version: 1.2.0
- new version: 1.1.4

* Thu Feb 27 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1550956
- new version: 1.1.0

* Thu Feb 20 2020 umeabot <umeabot> 1.0.6-2.mga8
+ Revision: 1547288
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 1.0.6-1.mga8
+ Revision: 1487817
- initial package nocomprendo

